Package junit.framework

# Class AssertionFailedError

java.lang.Object
java.lang.Throwable
java.lang.Error
junit.framework.AssertionFailedError

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ComparisonFailure`

public class AssertionFailedError extends Error
Thrown when an assertion failed.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AssertionFailedError()`
`AssertionFailedError(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AssertionFailedError

public AssertionFailedError()

### AssertionFailedError

public AssertionFailedError(String message)